Arbor 3: FSM & BT Graph Editor 3.6.4

List of all members
SetParameterBehaviour Class Reference

Parameterに値を設定する。 More...

Inheritance diagram for SetParameterBehaviour:

## Additional Inherited Members
Public Member Functions inherited from SetParameterBehaviourInternal
void | SetParameter (Parameter parameter)
| パラメータを設定する。 More...
override void | OnStateBegin ()
| Stateに入った際に呼ばれる。 More...
Public Member Functions inherited from StateBehaviour
virtual void | OnStateAwake ()
| Stateに初めて入った際に呼ばれる。 More...
virtual void | OnStateUpdate ()
| Stateの更新。毎フレーム呼ばれる。 More...
virtual void | OnStateLateUpdate ()
| State用のLateUpdate。毎フレーム、全てのUpdate後に呼ばれる。 More...
virtual void | OnStateEnd ()
| Stateから出る際に呼ばれる。 More...
virtual void | OnStateTrigger (string message)
| SendTriggerから呼び出される。 More...
bool | Transition (int nextStateID, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (int nextStateID, bool immediateTransition)
| 状態遷移 More...
bool | Transition (int nextStateID)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (State nextState, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (State nextState, bool immediateTransition)
| 状態遷移 More...
bool | Transition (State nextState)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (StateLink nextStateLink, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink, bool immediateTransition)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
StateBehaviour | AddBehaviour (System.Type type)
| StateBehaviourを追加。 More...
T | AddBehaviour< T > ()
| StateBehaviourを追加。 More...
StateBehaviour | GetBehaviour (System.Type type)
| StateBehaviourを取得。 More...
T | GetBehaviour< T > ()
| StateBehaviourを取得。 More...
StateBehaviour [] | GetBehaviours (System.Type type)
| StateBehaviourを取得。 More...
T [] | GetBehaviours< T > ()
| StateBehaviourを取得。 More...
void | Destroy ()
| インスタンスを削除する。 More...
StateLink | GetStateLink (int index)
| indexのStateLinkを返す。 More...
void | RebuildStateLinkCache ()
| StateLinkのキャッシュを再構築。 More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| 内部用。 More...
DataSlotField | GetDataSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetDataSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
void | RebuildDataSlotFields ()
| DataSlotFieldを再構築する。 More...
void | RebuildCalculatorSlotFields ()
| DataSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
void | UpdateDataLink ()
| 手動によるDataLinkの値更新。 DataLinkUpdateTiming.ManualのDataLinkフィールドの値を更新する。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...
Public Attributes inherited from StateBehaviour
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...
Protected Member Functions inherited from StateBehaviour
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...
Properties inherited from SetParameterBehaviourInternal
bool | isInGraphParameter`[get]`
| グラフ内パラメータを参照しているかどうか。 More...
Properties inherited from StateBehaviour
ArborFSMInternal | stateMachine`[get]`
| ステートマシンを取得。 More...
State | state`[get]`
| Stateを取得。 More...
int | stateID`[get]`
| StateIDを取得。 More...
bool | behaviourEnabled`[get, set]`
| StateBehaviourの有効状態を取得/設定。 More...
State? | prevTransitionState`[get]`
| 前のステート More...
State? | nextTransitionState`[get]`
| 次のステート More...
int | stateLinkCount`[get]`
| StateLinkの数。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | dataSlotFieldCount`[get]`
| DataSlotFieldの個数 More...
int | calculatorSlotFieldCount`[get]`
| DataSlotFieldの個数 More...

## Detailed Description

Parameterに値を設定する。